/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { WebDockManagerPaneDescription } from "./WebDockManagerPaneDescription";
import { markType } from "./type";
/**
 * @hidden
 */
export let WebSplitPaneDescription = /*@__PURE__*/ (() => {
    class WebSplitPaneDescription extends WebDockManagerPaneDescription {
        get_type() {
            return "WebSplitPane";
        }
        constructor() {
            super();
            this.ag = null;
            this.ai = null;
            this.ah = null;
            this.m = null;
            this.ab = 0;
            this.o = null;
            this.aa = 0;
            this.z = 0;
            this.s = false;
            this.r = false;
            this.t = false;
            this.u = false;
        }
        get id() {
            return this.ag;
        }
        set id(a) {
            this.ag = a;
            this.g("Id");
        }
        get paneType() {
            return this.ai;
        }
        set paneType(a) {
            this.ai = a;
            this.g("PaneType");
        }
        get orientation() {
            return this.ah;
        }
        set orientation(a) {
            this.ah = a;
            this.g("Orientation");
        }
        get panes() {
            return this.m;
        }
        set panes(a) {
            this.m = a;
            this.g("Panes");
        }
        get size() {
            return this.ab;
        }
        set size(a) {
            this.ab = a;
            this.g("Size");
        }
        get floatingLocation() {
            return this.o;
        }
        set floatingLocation(a) {
            this.o = a;
            this.g("FloatingLocation");
        }
        get floatingWidth() {
            return this.aa;
        }
        set floatingWidth(a) {
            this.aa = a;
            this.g("FloatingWidth");
        }
        get floatingHeight() {
            return this.z;
        }
        set floatingHeight(a) {
            this.z = a;
            this.g("FloatingHeight");
        }
        get floatingResizable() {
            return this.s;
        }
        set floatingResizable(a) {
            this.s = a;
            this.g("FloatingResizable");
        }
        get allowEmpty() {
            return this.r;
        }
        set allowEmpty(a) {
            this.r = a;
            this.g("AllowEmpty");
        }
        get isMaximized() {
            return this.t;
        }
        set isMaximized(a) {
            this.t = a;
            this.g("IsMaximized");
        }
        get useFixedSize() {
            return this.u;
        }
        set useFixedSize(a) {
            this.u = a;
            this.g("UseFixedSize");
        }
    }
    WebSplitPaneDescription.$t = /*@__PURE__*/ markType(WebSplitPaneDescription, 'WebSplitPaneDescription', WebDockManagerPaneDescription.$);
    WebSplitPaneDescription.__marshalByValue1 = true;
    WebSplitPaneDescription.__marshalByValueAlias1 = "SplitPane";
    return WebSplitPaneDescription;
})();
